io.etcd.jetcd.api

## Class Permission.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Permission.Builder>
      - - io.etcd.jetcd.api.Permission.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, PermissionOrBuilder, Cloneable

Enclosing class:
  Permission

    public static final class Permission.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Permission.Builder>
    implements PermissionOrBuilder

     Permission is a single entity

Protobuf type `authpb.Permission`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Permission.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Permission` `build()`
`Permission` `buildPartial()`
`Permission.Builder` `clear()`
`Permission.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Permission.Builder` `clearKey()` `bytes key = 2;`
`Permission.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Permission.Builder` `clearPermType()` `.authpb.Permission.Type permType = 1;`
`Permission.Builder` `clearRangeEnd()` `bytes range_end = 3;`
`Permission.Builder` `clone()`
`Permission` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`com.google.protobuf.ByteString` `getKey()` `bytes key = 2;`
`Permission.Type` `getPermType()` `.authpb.Permission.Type permType = 1;`
`int` `getPermTypeValue()` `.authpb.Permission.Type permType = 1;`
`com.google.protobuf.ByteString` `getRangeEnd()` `bytes range_end = 3;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`Permission.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Permission.Builder` `mergeFrom(com.google.protobuf.Message other)`
`Permission.Builder` `mergeFrom(Permission other)`
`Permission.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Permission.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Permission.Builder` `setKey(com.google.protobuf.ByteString value)` `bytes key = 2;`
`Permission.Builder` `setPermType(Permission.Type value)` `.authpb.Permission.Type permType = 1;`
`Permission.Builder` `setPermTypeValue(int value)` `.authpb.Permission.Type permType = 1;`
`Permission.Builder` `setRangeEnd(com.google.protobuf.ByteString value)` `bytes range_end = 3;`
`Permission.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`Permission.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Permission.Builder>`

#### clear

    public Permission.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Permission.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Permission.Builder>`

#### getDefaultInstanceForType

    public Permission getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Permission build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Permission buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Permission.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Permission.Builder>`

#### setField

    public Permission.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                       Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Permission.Builder>`

#### clearField

    public Permission.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Permission.Builder>`

#### clearOneof

    public Permission.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Permission.Builder>`

#### setRepeatedField

    public Permission.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                               int index,
                                               Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Permission.Builder>`

#### addRepeatedField

    public Permission.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                               Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Permission.Builder>`

#### mergeFrom

    public Permission.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Permission.Builder>`

#### mergeFrom

    public Permission.Builder mergeFrom(Permission other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Permission.Builder>`

#### mergeFrom

    public Permission.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                 throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Permission.Builder>`
Throws:
  `IOException`

#### getPermTypeValue

    public int getPermTypeValue()

`.authpb.Permission.Type permType = 1;`

Specified by:
  `getPermTypeValue` in interface `PermissionOrBuilder`
Returns:
  The enum numeric value on the wire for permType.

#### setPermTypeValue

    public Permission.Builder setPermTypeValue(int value)

`.authpb.Permission.Type permType = 1;`

Parameters:
  `value` - The enum numeric value on the wire for permType to set.
Returns:
  This builder for chaining.

#### getPermType

    public Permission.Type getPermType()

`.authpb.Permission.Type permType = 1;`

Specified by:
  `getPermType` in interface `PermissionOrBuilder`
Returns:
  The permType.

#### setPermType

    public Permission.Builder setPermType(Permission.Type value)

`.authpb.Permission.Type permType = 1;`

Parameters:
  `value` - The permType to set.
Returns:
  This builder for chaining.

#### clearPermType

    public Permission.Builder clearPermType()

`.authpb.Permission.Type permType = 1;`

Returns:
  This builder for chaining.

#### getKey

    public com.google.protobuf.ByteString getKey()

`bytes key = 2;`

Specified by:
  `getKey` in interface `PermissionOrBuilder`
Returns:
  The key.

#### setKey

    public Permission.Builder setKey(com.google.protobuf.ByteString value)

`bytes key = 2;`

Parameters:
  `value` - The key to set.
Returns:
  This builder for chaining.

#### clearKey

    public Permission.Builder clearKey()

`bytes key = 2;`

Returns:
  This builder for chaining.

#### getRangeEnd

    public com.google.protobuf.ByteString getRangeEnd()

`bytes range_end = 3;`

Specified by:
  `getRangeEnd` in interface `PermissionOrBuilder`
Returns:
  The rangeEnd.

#### setRangeEnd

    public Permission.Builder setRangeEnd(com.google.protobuf.ByteString value)

`bytes range_end = 3;`

Parameters:
  `value` - The rangeEnd to set.
Returns:
  This builder for chaining.

#### clearRangeEnd

    public Permission.Builder clearRangeEnd()

`bytes range_end = 3;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final Permission.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Permission.Builder>`

#### mergeUnknownFields

    public final Permission.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Permission.Builder>`